# boek/werken/beheer.py
#
#

""" regen, regen. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from boek.kern import kern, werken
from boek import regels

import logging

## COMMANDS

def beheer_eindig(event):
    if not event.args: return
    kern.stop(event.rest())
    event.ok()

kern.register("beheer.eindig", beheer_eindig)

def beheer_begin(event):
    if not event.args: return
    regels = get_regels(event.args[0])
    if regels: regels.save() 
    kern.init(event.args[0])
    event.ok()

kern.register("beheer.begin", beheer_begin)

def beheer_herlaad(event): 
    if not event.args: return
    result = werken.reload_name(event.rest())
    if result: event.ok(get_named(result))

kern.register("beheer.herlaad", beheer_herlaad)

## HELPERS

def get_regels(*args, **kwargs):
    try: return getattr(regels, "regels_%s" % args[0])
    except AttributeError: pass
