# boek/omroeper.py
#
#

## IMPORTS

from boek.kern import kern, fleet

## CMNDS

def omroeper_ga(event):
    if not event.args: return
    channel = event.args[0]
    for bot in fleet:
        if "join" not in bot: continue
        bot.join(channel)
        event.reply("join %s (%s)" % (channel, bot.server))

kern.register("omroeper.ga", omroeper_ga)

def omroeper_weg(event):
    if not event.args: return
    for bot in fleet:
        if "part" not in bot: continue
        bot.part(event.args[0])
        event.reply("part %s (%s)" % (channel, bot.server))

kern.register("omroeper.weg", omroeper_weg)

def omroeper_naam(event):
    if not event.args: return
    for bot in fleet:
        if "nick" not in bot: continue
        bot.nick(event.args[0])
        event.reply("nick %s" % bot.server)

kern.register("omroeper.naam", omroeper_naam)

def omroeper_uit(event):
    if not event.args: return
    for bot in fleet:
        if "quit" not in bot: continue
        bot.quit(event.rest())
        event.reply("quit %s" % bot.server)
    
kern.register("omroeper.uit", omroeper_uit)
