# boek/werken/nut.py
#
#

""" time the timing. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from boek.helpers import get_day, get_hour, today, short_date
from boek.herhaler import Tijd
from boek.kern import kern
from boek.ding import Ding

import datetime
import threading
import logging
import time

## COMMANDS

def nut_tijd(event):
    rest = event.rest()
    if not rest: return
    target = today() + get_day(rest) + get_hour(rest)
    event.reply("time detected: %s" % short_date(time.ctime(target)))
    timer = Tijd(target, event)
    kern.put(timer.start)
    event.ok()

kern.register("nut.tijd", nut_tijd)
